declare const _default: import("vue").DefineComponent<{
    currentRecord?: any;
}, {
    onPageDesigner: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<{
    currentRecord?: any;
}> & Readonly<{}>, {}, {}, {
    OioButton: any;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
